# Copyright 2018,2020-2021 Nick Bowler
# License GPLv3+: GNU General Public License version 3 or any later version.
# This is free software: you are free to change and redistribute it.
# There is NO WARRANTY, to the extent permitted by law.

EAPI=7

PYTHON_COMPAT=( python3_{5..9} )

inherit python-r1

SHA1=d8c1e9c3d769fbd64953917a183ae9e233bb8f41

DESCRIPTION="Simple tool which adds ReplayGain tags to your files"
HOMEPAGE="https://github.com/kepstin/regainer"
SRC_URI="https://github.com/kepstin/$PN/archive/$SHA1.tar.gz -> $P.tar.gz"

LICENSE="MIT"
SLOT="0"
KEYWORDS="~amd64 ~x86"
REQUIRED_USE="$PYTHON_REQUIRED_USE"

S=$WORKDIR/$PN-$SHA1

RDEPEND="$PYTHON_DEPS
	media-libs/mutagen[$PYTHON_USEDEP]
	media-video/ffmpeg[encode]"
DEPEND="$PYTHON_DEPS"

src_install () {
	default

	python_foreach_impl python_newscript regainer.py regainer
}
